<?php
// shortcode for load google map on click

require 'exggmap-defaults.php';

add_shortcode( 'exactly-gdpr-map', 'exggmap_google_map_gdpr_code' );
function exggmap_google_map_gdpr_code()
{ 
  $options = exggmap_get_options();

  $iframe = $options['exggmap_google_iframe']; 
  $iframeAttributes = simplexml_load_string($iframe)->attributes();
  $width =  $options['exggmap_map_width'];
  $height = $options['exggmap_map_height'];
  $background_color = $options['exggmap_layer_background_color'];
  $button_background_color = $options['exggmap_button_background_color'];
  $font_color = $options['exggmap_layer_font_color'];
  $box_styles = 'style="width:' . $width .'px; height: '. $height .'px;'.'"';
  $embed_powered_by =  $options['exggmap_enable_powered_by'];

  $padding = 'padding-top:' . 100 * round($height / $width,6) . '%'; 
 
	ob_start();      
	?>
    <div class="exggmap-wrapper is-style-wide" style="<?php echo $padding; ?>">
      <div class="exggmap-mask" style="background-color: <?php echo $background_color; ?>; color:<?php echo $font_color ?>">
        <div class="exggmap-mask-content">
        <p class="exggmap-caption"><?php echo __('GDPR MAP', 'exactly-gdpr-google-maps') ?></p>
            <button style="color: <?php echo $font_color; ?>; background-color: <?php echo $button_background_color; ?>; border-color: <?php echo $font_color; ?>"  id="exggmap-btn">
            <?php echo $options['exggmap_button_title']; ?> *
          </button>
        </div>
        <?php if( $embed_powered_by ){ ?>
        <span>
           <?php echo __('powered by', 'exactly-gdpr-google-maps'); ?><br>
            <a style="color: <?php echo $font_color; ?>" href="https://www.exactly-webdesign.de">exactly Webdesign</a>
        </span>
        <?php } ?>
      </div>
      <iframe 
        data-src="<?php echo $iframeAttributes->{'src'}; ?>" 
        frameborder="0" 
        allowfullscreen="" 
        aria-hidden="false" 
        tabindex="0">
      </iframe>
    </div>
    <p class="exampp-hints">
    * <?php echo $options['exggmap_layer_text']; ?>
      <a href="<?php echo __("https://policies.google.com/privacy?hl=en", "exactly-gdpr-google-maps"); ?>"><?php echo __('learn more', 'exactly-gdpr-google-maps')?></a>
    </p>
	<?php
	return $var = ob_get_clean();
}